#!/usr/bin/python

from client import client

# Search for all production records that are marked as ready



def list_items(items, title):
    items.sort()
    print title + ": " + ', '.join(map(str, items))

def main(c):
    models = c.search_fetch('ir.model', [], ['model'])
    model_names = set([model['model'] for model in models])
    action_ids = []
    value_ids = []
    menu_ids = []
    actions = c.search_fetch('ir.actions.act_window', [], ['res_model'])
    for action in actions:
        if action['res_model'] not in model_names:
            action_id = action['id']
            action_ids.append(action_id)
            action_link = 'ir.actions.act_window,%d' % action_id
            values = c.search_fetch('ir.values', 
                [('value', '=', action_link)], 
                ['res_id', 'model'])
            for value in values:
                value_ids.append(value['id'])
                if value['model'] != 'ir.ui.menu':
                    print 'Unexpected link: %s %d' % (value['model'], 
                        value['res_id'])
                else:
                    menu_ids.append(value['res_id'])
    
    list_items(action_ids, "Actions")
    list_items(value_ids, "Values")
    list_items(menu_ids, "Menus")

c = client(trim_fetches=True)

main(c)
